Subject: bug#43209: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Jun 2021 14:29:09 +0200

Allen Li <[email-masked]> writes:

> rectangle-mark-mode does not activate region if transient mark mode is
> disabled.
>
> Steps:
>
> 1. emacs -Q
> 2. M-x transient-mark-mode RET
> 3. C-x SPC
>
> Expected:
>
> Region is activated temporarily.
>
> Actual:
>
> Region is not activated.  Note that rectagle-mark-mode is still
> partially enabled.  For example, C-x C-x moves point according to the
> rectangular region, but you cannot move point beyond the end of the
> line.
>
> I propose making rectangle-mark-mode activate the region even if
> transient-mark-mode is disabled for a number of reasons.

I'm not quite sure I fully understand the suggestion -- do you mean that
`C-x SPC' should switch transient-mark-mode on if it isn't already?
(And then switch it off again in `deactivate-mark-hook'?)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no